commit:     482a8f5f0eb3edc6195817819a87652c95f08c15
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 15 20:50:31 2018 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Mon Oct 15 21:13:29 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=482a8f5f

dev-util/ccache: bump up to 3.5

Signed-off-by: Sergei Trofimovich <slyfox <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 dev-util/ccache/Manifest          |  1 +
 dev-util/ccache/ccache-3.5.ebuild | 82 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 83 insertions(+)

diff --git a/dev-util/ccache/Manifest b/dev-util/ccache/Manifest
index 538e0523710..bcff8ea031f 100644
--- a/dev-util/ccache/Manifest
+++ b/dev-util/ccache/Manifest
@@ -1,3 +1,4 @@
 DIST ccache-3.2.4.tar.xz 302548 BLAKE2B 
7d642dc3f944183660e79cfdfd68948528aa3ea4ef8162a4d04837c85ccace35107e663ec81a15438dab133fca2e8bf100fecd483f33c9b0aa52c68989ae8122
 SHA512 
d048b70804c81dece97f3ba511b3c109ec0d14e7dca69bc68faeeb61a4a7b5639c03e3e5ad7dad4e42b4bd198d7a7fffa4e3b7ef99590dfd4df0805db6c25db7
 DIST ccache-3.3.4.tar.xz 314468 BLAKE2B 
6e465598df428979a2c821a698afef25c05d09045cbb54ec54cc3b65b8ce6416b6eb46fae0cf5d60f766129cef11eb01410b522318c67416fdf47f6e8fceae66
 SHA512 
891bcf11b27fa20a250bc86d182663e46af450a3a807b6cab502f202cd57123ce93bcb1fe5e48866feecda76912a5f742efa5869df9117d81624ba185dd4e02c
 DIST ccache-3.4.3.tar.xz 328824 BLAKE2B 
f2ff3276cbadde642a362400b32291f59f60c274861c4c706f0bced801aec7aeeafeeb611331bc23e96fc8790a1d1ffd39df58f24f6a5384d8ddda0da54c9339
 SHA512 
8a92ef3f3b3688bb4c0b39106bea387ec3065a074327c1fa793e511192acd5cf9aeb5c0065ee8868a944ec63463c2b59fb84edd952102468cd12fcbb1ee16c49
+DIST ccache-3.5.tar.xz 334668 BLAKE2B 
e3e2b63e8c4c8074514fb3a5794325fa05a4d52f48fc436ab0ad21b643ca4d1a1502c989cb47ed68972b105d4f1642e4fadc5ecef1235fe2bd3be5d218094a79
 SHA512 
92181fb794f06dc231baa4193c37e8f1d844c9281fd64bcb8f4b35c87b4a88dfc9bf36b810b37151ee85699778fcd3783818949a7010e619aeca7e3b33b7a2e3

diff --git a/dev-util/ccache/ccache-3.5.ebuild 
b/dev-util/ccache/ccache-3.5.ebuild
new file mode 100644
index 00000000000..ea736149c66
--- /dev/null
+++ b/dev-util/ccache/ccache-3.5.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit readme.gentoo-r1
+
+DESCRIPTION="fast compiler cache"
+HOMEPAGE="https://ccache.samba.org/";
+SRC_URI="https://www.samba.org/ftp/ccache/${P}.tar.xz";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 
~amd64-fbsd"
+IUSE=""
+
+DEPEND="app-arch/xz-utils
+       sys-libs/zlib"
+RDEPEND="${DEPEND}
+       dev-util/shadowman
+       sys-apps/gentoo-functions"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-3.4-size-on-disk.patch #456178
+)
+
+src_prepare() {
+       default
+
+       # make sure we always use system zlib
+       rm -rf src/zlib || die
+       sed \
+               -e "/^EPREFIX=/s:'':'${EPREFIX}':" \
+               "${FILESDIR}"/ccache-config-3 > ccache-config || die
+}
+
+src_compile() {
+       emake V=1
+}
+
+src_test() {
+       emake check V=1
+}
+
+src_install() {
+       DOCS=( doc/{AUTHORS,MANUAL,NEWS}.adoc CONTRIBUTING.md README.md )
+       default
+
+       dobin ccache-config
+       insinto /usr/share/shadowman/tools
+       newins - ccache <<<'/usr/lib/ccache/bin'
+
+       DOC_CONTENTS="
+To use ccache with **non-Portage** C compiling, add
+${EPREFIX}/usr/lib/ccache/bin to the beginning of your path, before 
${EPREFIX}/usr/bin.
+Portage 2.0.46-r11+ will automatically take advantage of ccache with
+no additional steps.  If this is your first install of ccache, type
+something like this to set a maximum cache size of 2GB:\\n
+# ccache -M 2G\\n
+If you are upgrading from an older version than 3.x you should clear all of 
your caches like so:\\n
+# CCACHE_DIR='${CCACHE_DIR:-${PORTAGE_TMPDIR}/ccache}' ccache -C\\n
+ccache now supports sys-devel/clang and dev-lang/icc, too!"
+
+       readme.gentoo_create_doc
+}
+
+pkg_prerm() {
+       if [[ -z ${REPLACED_BY_VERSION} && ${ROOT} == / ]] ; then
+               eselect compiler-shadow remove ccache
+       fi
+}
+
+pkg_postinst() {
+       if [[ ${ROOT} == / ]]; then
+               eselect compiler-shadow update ccache
+       fi
+
+       # nuke broken symlinks from previous versions that shouldn't exist
+       rm -rf "${EROOT}"/usr/lib/ccache.backup || die
+
+       readme.gentoo_print_elog
+}

Reply via email to